Subject: [core] DNS-SD service types for CoRE-RD (Re: AD review of draft-ietf-core-resource-directory-23)
From: Carsten Bormann <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 9 Dec 2019 21:34:29 +0100
List-Id: "Constrained RESTful Environments \(CoRE\) Working Group list" <core.ietf.org>

On Nov 20, 2019, at 03:03, Alexey Melnikov <[email-masked]> wrote:
> 
>>> I think the following reference is Normative the way it is used in the
>>> document:
>>> 
>>>    [I-D.ietf-core-rd-dns-sd] Stok, P., Koster, M., and C. Amsuess, "CoRE
>>> Resource Directory: DNS-SD mapping", draft-ietf-core-rd-dns-sd-05 (work in
>>> progress), July 2019.
>> 
>> <personal>Oh please not</personal>.
>> 
>> I suppose this is due to "The use of DNS facilities is described in
>> [rd-dns-sd]" being listed as a recommended way, or are there more
>> aspects to it?
>> 
>> The DNS-SD component has been holding RD back quite a bit, so if it's that
>> recommendation, I assume the group might want to reconsider recommending
>> that mechanism for discovering the RD.
> 
> The WG started to discuss whether this is truly normative. I am awaiting conclusion of this discussion.

The outcome in discussion in the Friday meeting was that the resource-directory specification should simply define the small number of DNS-SD service types that are needed for resource directory discovery.  

We said details were to be taken to the list, which I want to initiate now.

In the meeting, I gave the three examples _core-rd._udp, _core-rd-tls._udp, and _core-rd._tcp — noting that while core-rd is a proper RD service type, core-rd-tls isn’t.  To cover the six transports we have for CoAP today (coap, coaps, coap+tcp, coaps+tcp, coap+ws, coaps+ws), we would need four service types on top of _tcp and could use two of them over _udp?

Grüße, Carsten